package com.icontrols.oauth.model;

import com.icontrols.oauth.constants.CONSTANTS;

public class Token {

	private String access_token;
	private String refresh_token;
	private int expires_in = CONSTANTS.EXPIRES_IN;
	private String token_type = "bearer";

	public String getAccess_token() {
		return access_token;
	}

	public void setAccess_token(String access_token) {
		this.access_token = access_token;
	}

	public String getRefresh_token() {
		return refresh_token;
	}

	public void setRefresh_token(String refresh_token) {
		this.refresh_token = refresh_token;
	}

	public int getExpires_in() {
		return expires_in;
	}

	public void setExpires_in(int expires_in) {
		this.expires_in = expires_in;
	}

	public String getToken_type() {
		return token_type;
	}

	public void setToken_type(String token_type) {
		this.token_type = token_type;
	}

	public Token(String access_token, String refresh_token, int expires_in, String token_type) {
		super();
		this.access_token = access_token;
		this.refresh_token = refresh_token;
		this.expires_in = expires_in;
		this.token_type = token_type;
	}

	public Token(String access_token, String refresh_token) {
		super();
		this.access_token = access_token;
		this.refresh_token = refresh_token;
	}

	public Token() {
		super();
		 
	}

	@Override
	public String toString() {
		return "Token [access_token=" + access_token + ", refresh_token=" + refresh_token + ", expires_in=" + expires_in
				+ ", token_type=" + token_type + "]";
	}

}
